Bug 384107 - Changing user avatar in kcm_users not reflected in Kickoff until plasmashell is restarted
Summary: Changing user avatar in kcm_users not reflected in Kickoff until plasmashell ...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Application Launcher (Kickoff) (show other bugs)
Version: 5.21.1
Platform: Neon Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
: 384892 387034 445888 454786 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-08-28 13:29 UTC by Alexander Mentyu
Modified: 2022-09-22 16:40 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mentyu 2017-08-28 13:29:04 UTC
Steps to reproduce:
1. Open Kickoff.
2. Click on Avatar icon.
3. Select and apply user avatar icon in User Manager window.
4. Open Kickoff.


Actual result:
User icon isn't set in Kickoff - default or previous icon is displayed.


Reproducibility:
Sometimes.


Sometimes it sets in other places like Leave menu, Lock and Login screens but not in Kicker.


Distribution: KDE neon Developer Edition Unstable Branches
KDE Plasma Version: 5.10.90
KDE Frameworks Version: 5.37.0
Qt Version: 5.9.1
Kernel Version: 4.10.0-32-generic
Comment 1 Patrick Silva 2017-09-27 20:54:48 UTC
I confirm on my neon dev unstable.
Kickoff shows the new avatar only after restart session/system.
Comment 2 Patrick Silva 2017-10-02 15:35:57 UTC
Problem when the avatar is changed going to "system settings > account details > user manager" too. Sometimes Kickoff updates the avatar only after I restart my session/system.
Comment 3 Alexander Mentyu 2017-12-05 14:34:42 UTC
Looks related to https://bugs.kde.org/show_bug.cgi?id=384892
Comment 4 Nate Graham 2017-12-15 22:41:28 UTC
*** Bug 384892 has been marked as a duplicate of this bug. ***
Comment 5 Patrick Silva 2018-01-17 15:00:21 UTC
plasma 5.12 beta is affected.
Comment 6 Kai Uwe Broulik 2018-04-24 21:13:32 UTC
Git commit 6655238c02824259a0a4f5224fb0a0b8d120e0b5 by Kai Uwe Broulik.
Committed on 24/04/2018 at 21:12.
Pushed by broulik into branch 'master'.

[KUserProxy] Adjust to accounts service

The avatar can also lie in the accounts service directory. Monitor there and also monitor for removal.
Also in the handler check all paths we monitor rather than faceIconPath which might be empty due to the file having been removed.

Differential Revision: https://phabricator.kde.org/D9951

M  +5    -1    src/qmlcontrols/kcoreaddons/kuserproxy.cpp

https://commits.kde.org/kdeclarative/6655238c02824259a0a4f5224fb0a0b8d120e0b5
Comment 7 Patrick Silva 2018-05-30 15:55:33 UTC
Problem persists in plasma 5.13 beta, Arch Linux.

To reproduce, change the avatar in user manager selecting some avatar available in the gallery some times in sequence. At some point the avatar will not be updated in kicker.

Can we reopen this bug?
Comment 8 Nate Graham 2018-05-30 17:02:00 UTC
Can confirm with git master. I just saw this happen when I changed my user's avatar from a gallery image to an image on disk.
Comment 9 Alex 2018-10-04 04:54:03 UTC
I've hit this when changing through Kickoff, System Settings, or directly through `kcmshell5 user_manager`.

I noticed that if one clears the avatar with any of the above, then the cleared avatar is then displayed in Kickoff. Hopefully that helps lead to a fix.
Comment 10 Patrick Silva 2019-03-08 15:08:12 UTC
Bug persists.

Operating System: Arch Linux 
KDE Plasma Version: 5.15.2
KDE Frameworks Version: 5.55.0
Qt Version: 5.12.1
Comment 11 Nate Graham 2019-04-26 20:30:24 UTC
*** Bug 387034 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2020-06-25 19:37:37 UTC
This was fixed recently, hooray!
Comment 13 medin 2021-03-04 10:06:58 UTC
(In reply to Nate Graham from comment #12)
> This was fixed recently, hooray!

This problem is still persistent on 5.21

Operating System: Manjaro Linux
KDE Plasma Version: 5.21.1
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Kernel Version: 5.4.100-1-MANJARO
OS Type: 64-bit
Comment 14 medin 2021-03-04 10:13:56 UTC
What I also observed is that there are 3 files (2 links and 1 file) in user folder called : .face, .icon and .face.icon, and these files are only changed through Manjaro user manager, and any changes in KDE user settings is not at all reflected on them.
Comment 15 Alex 2021-03-25 06:33:53 UTC
I just experienced this. The first change to my avatar was reflected in Kickoff, but subsequent changes didn't appear to register in Kickoff until I restarted plasmashell.
Comment 16 Patrick Silva 2021-05-17 12:18:41 UTC
Same on Plasma 5.22 beta.
Avatar is updated in kickoff only after restarting Plasma or Plasma session.

Operating System: Arch Linux
KDE Plasma Version: 5.21.90
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2
Graphics Platform: X11
Comment 17 Nate Graham 2021-05-17 15:24:25 UTC
Can confirm.
Comment 18 Patrick Silva 2021-11-22 10:51:45 UTC
*** Bug 445888 has been marked as a duplicate of this bug. ***
Comment 19 medin 2022-03-02 11:43:00 UTC
Still repro on 5.24.2

Operating System: Manjaro Linux
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.15.25-1-MANJARO (64-bit)
Graphics Platform: X11
Comment 20 Patrick Silva 2022-06-03 15:15:52 UTC
*** Bug 454786 has been marked as a duplicate of this bug. ***
Comment 21 Patrick Silva 2022-09-22 16:40:28 UTC
It's still reproducible on Plasma 5.26 beta.